libgnutls26 >= 2.12.1 breaks several packages

Bug #942187 reported by thom on 2012-02-27
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
csync2 (Ubuntu)
Medium
Micah Gersten
Precise
Medium
Micah Gersten
macopix (Ubuntu)
Undecided
Micah Gersten
Precise
Undecided
Micah Gersten
sipsak (Ubuntu)
Undecided
Micah Gersten
Precise
Undecided
Micah Gersten
tf5 (Ubuntu)
Undecided
Micah Gersten
Precise
Undecided
Micah Gersten
wput (Ubuntu)
Undecided
Micah Gersten
Precise
Undecided
Micah Gersten

Bug Description

These packages all need no change rebuilds per the gnutls2.6 2.12.1-1 changelog entry.
"* Add Breaks for all packages using the GnuTLS OpenSSL wrapper. They will need a binNMU when gnutls 2.12.x uploaded to unstable."

As we don't have binNMUs, we'll do a no change rebuild.

------------------------------

wput won't install, update needed

lsb_release -rd
Description: Ubuntu precise (development branch)
Release: 12.04

wput:
  Geïnstalleerd: (geen)
  Kandidaat: 0.6.2-2
  Versietabel:
     0.6.2-2 0
        500 http://nl.archive.ubuntu.com/ubuntu/ precise/universe amd64 Packages

libgnutls26:
  Geïnstalleerd: 2.12.14-5ubuntu2
  Kandidaat: 2.12.14-5ubuntu2
  Versietabel:
 *** 2.12.14-5ubuntu2 0
        500 http://nl.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages

/var/lib/dpkg/status:
Package: libgnutls26
Status: install ok installed
Architecture: amd64
Source: gnutls26
Version: 2.12.14-5ubuntu2

expected:
   sudo apt-get install wput
   flawless install

what happened:
   De volgende pakketten hebben niet-voldane vereisten:
   wput : Vereisten: libgnutls26 (>= 2.7.14-0) maar het zal niet geïnstalleerd worden
   E: Kan problemen niet verhelpen, u houdt defecte pakketten vast.

Micah Gersten (micahg) wrote :

Thank you for reporting this to Ubuntu. This amongst other things need a no change rebuild in precise. I'll take care of these a little later. Please report any other issues you may find.

Changed in wput (Ubuntu):
assignee: nobody → Micah Gersten (micahg)
status: New → In Progress
thom (tsk) wrote :

And thank you for the quick response....man, you're fast!! :-)

I have some news and confirmation, no worries

it is indeed only the wput build....i installed wput_0.6.2-2+b1_amd64.deb
from the Debian unstable (SID) branch just to test,
it installed without problem and seems to work accordingly

Thank you for the time you dedicate to this all.

Micah Gersten (micahg) on 2012-02-28
summary: - wput conflict libgnutls26
+ libgnutls26 >= 2.12.1 breaks several packages
description: updated
Micah Gersten (micahg) on 2012-02-28
description: updated
Micah Gersten (micahg) on 2012-02-28
Changed in csync2 (Ubuntu):
status: New → In Progress
assignee: nobody → Micah Gersten (micahg)
Changed in macopix (Ubuntu):
assignee: nobody → Micah Gersten (micahg)
Changed in sipsak (Ubuntu):
assignee: nobody → Micah Gersten (micahg)
Changed in tf5 (Ubuntu):
assignee: nobody → Micah Gersten (micahg)
status: New → Incomplete
status: Incomplete → In Progress
Changed in sipsak (Ubuntu):
status: New → In Progress
Changed in macopix (Ubuntu):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package macopix - 1.7.4-3build1

---------------
macopix (1.7.4-3build1) precise; urgency=low

  * No change rebuild for gnutls2.6 2.12.x, see LP: #942187
 -- Micah Gersten <email address hidden> Tue, 28 Feb 2012 03:33:23 -0600

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wput - 0.6.2-2build1

---------------
wput (0.6.2-2build1) precise; urgency=low

  * No change rebuild for gnutls2.6 2.12.x, see LP: #942187
 -- Micah Gersten <email address hidden> Tue, 28 Feb 2012 03:21:20 -0600

Changed in macopix (Ubuntu):
status: In Progress → Fix Released
Changed in wput (Ubuntu):
status: In Progress → Fix Released
Micah Gersten (micahg) wrote :

Marking this as triaged. This package currently uses sqlite 2.x which I'd like to get rid of for precise, so I'm not sure a rebuild is necessary ATM.

Changed in csync2 (Ubuntu):
importance: Undecided → Medium
status: In Progress → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tf5 - 5.0beta8-4build1

---------------
tf5 (5.0beta8-4build1) precise; urgency=low

  * No change rebuild for gnutls2.6 2.12.x, see LP: #942187
 -- Micah Gersten <email address hidden> Tue, 28 Feb 2012 03:39:29 -0600

Changed in tf5 (Ubuntu):
status: In Progress → Fix Released
Micah Gersten (micahg) on 2012-02-28
Changed in csync2 (Ubuntu Precise):
milestone: none → ubuntu-12.04-beta-2
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sipsak - 0.9.6-2.1build1

---------------
sipsak (0.9.6-2.1build1) precise; urgency=low

  * No change rebuild for gnutls2.6 2.12.x, see LP: #942187
 -- Micah Gersten <email address hidden> Tue, 28 Feb 2012 03:45:46 -0600

Changed in sipsak (Ubuntu Precise):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package csync2 - 1.34-2.2build1

---------------
csync2 (1.34-2.2build1) precise; urgency=low

  * No change rebuild for gnutls2.6 2.12.x, see LP: #942187
 -- Martin Pitt <email address hidden> Mon, 26 Mar 2012 09:16:42 +0200

Changed in csync2 (Ubuntu Precise):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers